Bug 1559093 - ceilometer event-list empty with event_dispatchers=gnocchi
Summary: ceilometer event-list empty with event_dispatchers=gnocchi
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: z8
: 10.0 (Newton)
Assignee: Pradeep Kilambi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Keywords: Reopened, Triaged, ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-21 16:53 UTC by Serena Cortopassi
Modified: 2018-05-17 15:42 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-17 15:40:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42 UTC
OpenStack gerrit 558864 None None None 2018-04-06 16:20 UTC

Description Serena Cortopassi 2018-03-21 16:53:56 UTC
Description of problem:

No events are registered from Ceilometer.
The default deployment has Gnocchi as event_dispatchers, but it seems it doesn't receive any event from ceilometer.

Version-Release number of selected component (if applicable):

RHOSP 10 with Director deployment.
Ask if you need any specific package version.

Steps to Reproduce:

1. Deployed Undercloud with store_events=false in undercloud.conf

2. Deployed Overcloud leaving defaults for Ceilometer which result in following configs:

----- ceilometer.conf on Controller nodes
[DEFAULT]
meter_dispatchers=gnocchi
event_dispatchers=gnocchi

[notification]
store_events=False

3. Installed Cloudforms 4.6 and followed https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/quickstart_guide_for_cloudforms_with_red_hat_openstack_platform/add-openstack-oc#openstack-events-oc to make events work

- store_events=True in ceilometer.conf and restarted ceilometer services on Controllers
- as per https://bugzilla.redhat.com/show_bug.cgi?id=1469679#c0, I used the new syntax. I have some of this values commented, but I guess they are defaults so I didn't uncomment them


Actual results:

1. ceilometer event-list (with store_events=true/false)
+------------+------------+-----------+--------+
| Message ID | Event Type | Generated | Traits |
+------------+------------+-----------+--------+
+------------+------------+-----------+--------+
2. Cloudforms cannot read events from ceilometer (as there are no events), so Timelines are not available


Expected results:

1. there are events in ceilometer event-list output
2. Cloudforms reads events from ceilometer 


Additional info:

- metrics and measures work perfectly with gnocchi-client
- gnocchi is correctly notified about the termination of resources (ended_at property is correctly set)
- mongo collection 'event' has db.event.dataSize() = 0. Are events saved on gnocchi backend (swift in our case)? Is ceilometer command querying to mongo?

Is the problem on gnocchi (not receiving events from ceilometer or not saving them) or in ceilometer itself?
Can I search for something specific in logs?
Reading this https://bugzilla.redhat.com/show_bug.cgi?id=1447882#c7 I cannot understand if I should add a event_dispatchers=database and how that bug has been closed/solved.

Thanks

Comment 1 Pradeep Kilambi 2018-04-03 14:17:30 UTC
In OSP10, ceilometer still uses mongodb to store events. So you should include event_dispatcher=database for ceilometer api to get the events.

Comment 2 Serena Cortopassi 2018-04-03 15:01:08 UTC
Thanks, so if I understand I have to add event_dispatcher=database in ceilometer.conf and restart all ceilometer services? Something else?

Why did the director not include that config in deployment if it is required in OSP10?

Thanks a lot

Comment 3 Pradeep Kilambi 2018-04-03 15:27:38 UTC
(In reply to Serena Cortopassi from comment #2)
> Thanks, so if I understand I have to add event_dispatcher=database in
> ceilometer.conf and restart all ceilometer services? Something else?
> 
> Why did the director not include that config in deployment if it is required
> in OSP10?
> 
> Thanks a lot

Interesting, director should have defaulted to database. Seems like this was recently changed, causing this issue you're seeing. I'm re-opening this bug and we can fix the director accordingly.

Comment 19 errata-xmlrpc 2018-05-17 15:40:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593


Note You need to log in before you can comment on or make changes to this bug.